%define upstream_name    Text-Xslate
%define upstream_version 1.6002

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    The same as Kolon but using [% ... %] tags
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.130.0
BuildRequires: perl(Data::MessagePack) >= 0.380.0
BuildRequires: perl(Devel::PPPort) >= 3.190.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(ExtUtils::ParseXS) >= 2.210.0
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(Mouse) >= 0.610.0
BuildRequires: perl(Scalar::Util) >= 1.140.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Requires)
BuildRequires: perl(XSLoader) >= 0.20.0
BuildRequires: perl(parent) >= 0.221.0
BuildRequires: perl-devel
%description
*Xslate* is a template engine, tuned for persistent applications, safe as
an HTML generator, and with rich features.

There are a lot of template engines in CPAN, for example Template-Toolkit,
Text::MicroTemplate, HTML::Template, and so on, but all of them have
demerits at some points. This is why Xslate is developed and now it is
well-honed as the standard template engine for web applications.

The concept of Xslate is strongly influenced by Text::MicroTemplate and
Template-Toolkit 2, but the central philosophy of Xslate is different from
them. That is, the philosophy is *sandboxing* that the template logic
should not have no access outside the template beyond your permission.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes HACKING META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*
/usr/bin/xslate
/usr/share/man/man1/xslate.1.xz

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.600.200-2.mga3
+ Revision: 374254
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.600.200-1.mga3
+ Revision: 342756
- update to 1.6002

* Wed Nov 07 2012 jquelin <jquelin> 1.502.500-1.mga3
+ Revision: 315904
- update to 1.5025

* Wed Oct 17 2012 jquelin <jquelin> 1.502.400-1.mga3
+ Revision: 307576
- update to 1.5024

* Mon Oct 15 2012 jquelin <jquelin> 1.502.300-1.mga3
+ Revision: 306261
- update to 1.5023

* Mon Oct 08 2012 jquelin <jquelin> 1.501.900-1.mga3
+ Revision: 303471
- imported package perl-Text-Xslate

